Bug 1099119 - cross-ppc64-gcc7 and others build failed in OBS for TW ppc64le
cross-ppc64-gcc7 and others build failed in OBS for TW ppc64le
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
PowerPC Other
: P5 - None : Normal (vote)
: ---
Assigned To: Richard Biener
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-26 08:35 UTC by Michel Normand
Modified: 2019-05-01 14:54 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
cross_ppc64_gcc7_standard__ppc64le_201806260958.log (2.25 MB, text/x-log)
2018-06-26 08:35 UTC, Michel Normand
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Normand 2018-06-26 08:35:29 UTC
Created attachment 775271 [details]
cross_ppc64_gcc7_standard__ppc64le_201806260958.log

cross-ppc64-gcc7 and others build failed in OBS for TW ppc64le

https://build.opensuse.org/package/live_build_log/openSUSE:Factory:PowerPC/cross-ppc64-gcc7/standard/ppc64le
===
[  721s] g++ -fno-PIE -c  -DIN_GCC_FRONTEND -fmessage-length=0 -grecord-gcc-switches -O2 -D_FORTIFY_SOURCE=2 -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -U_FORTIFY_SOURCE -DIN_GCC  -DCROSS_DIRECTORY_STRUCTURE   -fno-exceptions -fno-rtti -fasynchronous-unwind-tables -W -Wall -Wno-narrowing -Wwrite-strings -Wcast-qual -Wmissing-format-attribute -Woverloaded-virtual -pedantic -Wno-long-long -Wno-variadic-macros -Wno-overlength-strings   -DHAVE_CONFIG_H -I. -Ilto -I../../gcc -I../../gcc/lto -I../../gcc/../include -I../../gcc/../libcpp/include  -I../../gcc/../libdecnumber -I../../gcc/../libdecnumber/dpd -I../libdecnumber -I../../gcc/../libbacktrace   -o lto/lto-symtab.o -MT lto/lto-symtab.o -MMD -MP -MF lto/.deps/lto-symtab.TPo ../../gcc/lto/lto-symtab.c
[  721s] build/genmatch --gimple ../../gcc/match.pd \
[  721s]     > tmp-gimple-match.c
[  721s] ../../gcc/match.pd:120:1 error: expected (, got NAME
[  721s]    same in modes with signed zeros, since multiplying a
[  721s] ^
[  721s] make[1]: *** [Makefile:2460: s-match] Error 1
===
Comment 1 Michel Normand 2018-06-26 09:36:25 UTC
Hi Richard,
Do you have a suggestion for investigation of this build problem in OBS ?
Comment 2 Tomáš Chvátal 2018-06-26 10:34:14 UTC
Assigning to michal as he is working on the ppc too, but generaly you will have to wait for Richards answer. (But there is no point in this being assigned to screening team)
Comment 3 Richard Biener 2018-06-26 11:24:10 UTC
This is the same issue as bnc#1097283.  It looks like the resp. revision is now backported to the GCC 6 branch but not yet GCC 7 ...

GCC 6 changelog:

2018-06-15  Martin Liska  <mliska@suse.cz>

        PR bootstrap/86162

        Backport from mainline
        2018-01-10  Kelvin Nilsen  <kelvin@gcc.gnu.org>

        * lex.c (search_line_fast): Remove illegal coercion of an
        unaligned pointer value to vector pointer type and replace with
        use of __builtin_vec_vsx_ld () built-in function, which operates
        on unaligned pointer values.
Comment 4 Richard Biener 2018-06-26 11:25:44 UTC
That is, I am waiting for the upstream GCC 7 branch to pick up that fix and will then update GCC 7 for Tumbleweed.
Comment 5 Martin Liška 2018-06-28 06:22:22 UTC
(In reply to Richard Biener from comment #4)
> That is, I am waiting for the upstream GCC 7 branch to pick up that fix and
> will then update GCC 7 for Tumbleweed.

Should I do the backport, or is somebody elso attempting to backport that?
Comment 6 Richard Biener 2018-06-28 07:16:02 UTC
(In reply to Martin Liška from comment #5)
> (In reply to Richard Biener from comment #4)
> > That is, I am waiting for the upstream GCC 7 branch to pick up that fix and
> > will then update GCC 7 for Tumbleweed.
> 
> Should I do the backport, or is somebody elso attempting to backport that?

Go ahead.
Comment 7 Martin Liška 2018-06-29 10:08:31 UTC
(In reply to Richard Biener from comment #6)
> (In reply to Martin Liška from comment #5)
> > (In reply to Richard Biener from comment #4)
> > > That is, I am waiting for the upstream GCC 7 branch to pick up that fix and
> > > will then update GCC 7 for Tumbleweed.
> > 
> > Should I do the backport, or is somebody elso attempting to backport that?
> 
> Go ahead.

It's installed in GCC-7 branch, please update then gcc7 package when you have time.
Comment 8 Swamp Workflow Management 2018-06-29 11:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1099119) was mentioned in
https://build.opensuse.org/request/show/619755 Factory / gcc7
Comment 9 Richard Biener 2018-07-09 07:35:30 UTC
Fixed.
Comment 11 Swamp Workflow Management 2019-01-03 08:25:26 UTC
SUSE-RU-2019:0006-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1099119,1099192
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    cross-arm-gcc7-7.4.0+r266845-4.3.3, cross-arm-none-gcc7-bootstrap-7.4.0+r266845-4.3.4, cross-avr-gcc7-bootstrap-7.4.0+r266845-4.3.4, cross-epiphany-gcc7-bootstrap-7.4.0+r266845-4.3.3, cross-hppa-gcc7-7.4.0+r266845-4.3.3, cross-i386-gcc7-7.4.0+r266845-4.3.3, cross-m68k-gcc7-7.4.0+r266845-4.3.3, cross-mips-gcc7-7.4.0+r266845-4.3.3, cross-ppc64-gcc7-7.4.0+r266845-4.3.3, cross-rx-gcc7-bootstrap-7.4.0+r266845-4.3.3, cross-sparc-gcc7-7.4.0+r266845-4.3.3, cross-sparc64-gcc7-7.4.0+r266845-4.3.3, gcc7-7.4.0+r266845-4.3.4, gcc7-testresults-7.4.0+r266845-4.3.3
SUSE Linux Enterprise Module for Development Tools 15 (src):    cross-nvptx-gcc7-7.4.0+r266845-4.3.3, gcc7-7.4.0+r266845-4.3.4
SUSE Linux Enterprise Module for Basesystem 15 (src):    gcc7-7.4.0+r266845-4.3.4
Comment 12 Swamp Workflow Management 2019-01-07 14:09:17 UTC
SUSE-RU-2019:0021-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1099119,1099192
CVE References: 
Sources used:
SUSE OpenStack Cloud 7 (src):    gcc7-7.4.0+r266845-8.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    gcc7-7.4.0+r266845-8.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    gcc7-7.4.0+r266845-8.1
SUSE Linux Enterprise Server 12-SP4 (src):    gcc7-7.4.0+r266845-8.1
SUSE Linux Enterprise Server 12-SP3 (src):    gcc7-7.4.0+r266845-8.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    gcc7-7.4.0+r266845-8.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    gcc7-7.4.0+r266845-8.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    gcc7-7.4.0+r266845-8.1
SUSE Linux Enterprise Server 12-LTSS (src):    gcc7-7.4.0+r266845-8.1
SUSE Linux Enterprise Module for Toolchain 12 (src):    cross-nvptx-gcc7-7.4.0+r266845-8.1, gcc7-7.4.0+r266845-8.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    gcc7-7.4.0+r266845-8.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    gcc7-7.4.0+r266845-8.1
SUSE Enterprise Storage 4 (src):    gcc7-7.4.0+r266845-8.1
SUSE CaaS Platform ALL (src):    gcc7-7.4.0+r266845-8.1
SUSE CaaS Platform 3.0 (src):    gcc7-7.4.0+r266845-8.1
OpenStack Cloud Magnum Orchestration 7 (src):    gcc7-7.4.0+r266845-8.1
Comment 13 Swamp Workflow Management 2019-03-21 11:10:49 UTC
openSUSE-RU-2019:0350-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1099119,1099192
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    gcc7-7.4.0+r266845-13.1
Comment 14 Swamp Workflow Management 2019-03-21 11:11:34 UTC
openSUSE-RU-2019:0349-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1099119,1099192
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    gcc7-7.4.0+r266845-lp150.3.3.1
Comment 15 Swamp Workflow Management 2019-04-27 22:36:57 UTC
SUSE-RU-2019:0021-2: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1099119,1099192
CVE References: 
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    gcc7-7.4.0+r266845-8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.